# This file is the input for generating the list of preferences
# for pc_unix.cpp and pc_unix.h.
#
# For information on how to add or modify a preference, please
# refer to the module documentation.
#
# Preferences cannot depend directly on FEATUREs, they must depend
# on the macro they define.
#
Collection:  PrefsCollectionUnix
Macro name:  PCUNIX
Description: Unix specific
Type:        normal

Preference:  NewWinSize
Depends on:  PREFS_HAVE_NEW_WIN_SIZE
Section:     User Prefs
Key:         NewWinSize
Type:        string
Description: Size for new windows
Default:     "-1,-1"

Preference:  OpenDialogUnderMouse
Depends on:  
Section:     User Prefs
Key:         Open Dialog Under Mouse
Type:        boolean
Description: Open file dialog at mouse pointer
Default:     FALSE

Preference:  WindowPlacementByOpera
Depends on:  
Section:     User Prefs
Key:         Window Placement By Opera
Type:        boolean
Description: Override window manager's window placement
Default:     TRUE

Preference:  PanningMode
Depends on:  
Section:     User Prefs
Key:         Panning mode
Type:        integer
Description: Activate horizontal panning for mid-click
Default:     0

Preference:  DrawAntiAliasedFonts
Depends on:  PREFS_HAVE_X_FONTS
Section:     User Prefs
Key:         Draw Anti Aliased Fonts
Type:        boolean
Description: Antialiasing of core X fonts
Default:     TRUE

Preference:  ForceDPI
Depends on:  PREFS_HAVE_X_FONTS
Section:     User Prefs
Key:         Force DPI
Type:        integer
Description: Force screen DPI for fonts (0=disable)
Default:     0

Preference:  MapMetaButtonToAltButton
Depends on:  PREFS_HAVE_META_KEY
Section:     User Prefs
Key:         Map Meta Button To Alt Button
Type:        boolean
Description: Make META button behave as ALT button
Default:     FALSE

Preference:  AppendExtensionToFilename
Depends on:  PREFS_HAVE_APPEND_DEFAULT_EXT
Section:     User Prefs
Key:         Append Extension To Filename
Type:        boolean
Description: Append default extension to file name if none was given in file name dialog
Default:     TRUE

Preference:  HasShownPluginError
Depends on:  PREFS_HAVE_UNIX_PLUGIN
Section:     User Prefs
Key:         Has Shown Plugin Error
Type:        boolean
Description: Has shown plug-in loading error dialogue
Default:     FALSE

Preference:  EnableEditTripleClick
Depends on:  _UNIX_DESKTOP_
Section:     User Prefs
Key:         Enable Edit Triple Click
Type:        boolean
Description: Handling of double clicks in edit fields
Default:     TRUE

Preference:  LocalhostInDnD
Depends on:  _UNIX_DESKTOP_
Section:     User Prefs
Key:         Localhost In DnD
Type:        boolean
Description: Use file://localhost/ instead of file:/ for drag and drop
Default:     FALSE

Preference:  HideMouseCursor
Depends on:  _UNIX_DESKTOP_
Section:     User Prefs
Key:         Hide Mouse Cursor
Type:        boolean
Description: Hide mouse pointer, typically for kiosk setups with no mouse
Default:     FALSE

Preference:  HasRestoredExtenstions
Depends on:  _UNIX_DESKTOP_
Section:     User Prefs
Key:         Has Restored Extensions
Type:        integer
Description: Has restored incorrect MIME types data (7.21)
Default:     0

Preference:  HasRestoredMIMEFlag
Depends on:  _UNIX_DESKTOP_
Section:     User Prefs
Key:         Has Restored MIME Flag
Type:        integer
Description: Has updated trust server types settings (7.21)
Default:     0

Preference:  HasShownKDEShortcutMessage
Depends on:  _UNIX_DESKTOP_
Section:     User Prefs
Key:         Has Shown KDE Shortcut Message
Type:        integer
Description: Has warned about KDE shortcut key conflicts
Default:     0

Preference:  WindowMenuMaxItemWidth
Depends on:  _UNIX_DESKTOP_
Section:     User Prefs
Key:         Window Menu Max Item Width
Type:        integer
Description: Max width of items in Window menu
Default:     40

Preference:  WorkSpaceButtonStyle
Depends on:  PREFS_HAVE_WORKSPACE
Section:     Workspace
Key:         Button Style
Type:        integer
Description: MDI window decoration style
Default:     0

Preference:  WorkspaceWindowBorderWidth
Depends on:  PREFS_HAVE_WORKSPACE
Section:     Workspace
Key:         Window Border Width
Type:        integer
Description: Width of MDI window border
Default:     1

Preference:  WorkspaceButtonType
Depends on:  PREFS_HAVE_WORKSPACE
Section:     Workspace
Key:         Button Type
Type:        integer
Description: MDI window buttons to display
Default:     MDI_BUTTON_ALL

Preference:  ReadingPlugins
Depends on:  PREFS_HAVE_UNIX_PLUGIN
Section:     State
Key:         Reading Plugins
Type:        boolean
Description: Reading plugins?
Default:     FALSE

Preference:  FileSelectorShowHiddenFiles
Depends on:  PREFS_HAVE_FILESELECTOR
Section:     File Selector
Key:         Show Hidden Files
Type:        boolean
Description: Show hidden files in Qt file selector dialogue
Default:     FALSE

Preference:  FileSelectorShowDetails
Depends on:  PREFS_HAVE_FILESELECTOR
Section:     File Selector
Key:         Show Details
Type:        boolean
Description: Show file details in Qt file selector dialogue
Default:     FALSE

Preference:  FileSelectorToolkit
Depends on:  PREFS_HAVE_FILESELECTOR 
Section:     File Selector
Key:         Dialog Toolkit
Type:        integer
Description: File dialog toolkit
Default:     0

Preference:  PreferFontconfigSettings
Depends on:  _UNIX_DESKTOP_
Section:     Fonts
Key:         Prefer Fontconfig Settings
Type:        boolean
Description: Prefer font render settings obtained from fontconfig over those obtained from the UI toolkit
Default:     FALSE

Preference:  CustomColors
Depends on:  _UNIX_DESKTOP_
Section:     User Prefs
Key:         Custom Colors
Type:        string
Description: Custom colors for color selector dialog
Default:     ""

Preference:  ShowWindowBorder
Depends on:  _UNIX_DESKTOP_
Section:     User Prefs
Key:         Show Window Border
Type:        integer
Description: Set the window border visibility. 0: default (depends on skin type), 1: on, 2: off
Default:     0

.eof
